#include "fw/visitor.h"

#pragma once

namespace schpin
{

struct servo_visitor
{
        virtual void to_control( servo_id, const servo_master_message& )      = 0;
        virtual void on_activate( servo_id )                                  = 0;
        virtual void to_servo( s_ctl_id, reply, const master_lewan_message& ) = 0;
        virtual void to_servo( s_ctl_id, reply, const master_dynmx_message& ) = 0;
        virtual ~servo_visitor()                                              = default;
};

}  // namespace schpin
