#include "fw/base.h"

#pragma once

namespace schpin
{

struct dynmx_goto_event
{
        dynmx_angle goal_pos;
        btime       t;
};

struct dynmx_spin_event
{
        dynmx_angular_velocity velocity;
        btime                  t;
};

struct dynmx_config_event
{
        dynmx_config_enum reg;
        config_buffer     buffer;
};

using dynmx_servo_events_variant =
    std::variant< dynmx_goto_event, dynmx_spin_event, dynmx_config_event >;

}  // namespace schpin
