#include "fw/base.h"

#pragma once

namespace schpin
{

struct lewan_goto_event
{
        lewan_angle g;
        btime       t;
};

struct lewan_spin_event
{
        lewan_angular_velocity av;
        btime                  t;
};

struct lewan_config_event
{
        lewan_config_enum addr;
        config_buffer     buffr;
};

using lewan_servo_events_variant =
    std::variant< lewan_goto_event, lewan_spin_event, lewan_config_event >;

}  // namespace schpin
