#include "fw/dynmx/protocol.h"
#include "shared/protocol.h"

#pragma once

namespace schpin
{

struct fw_reactor_visitor
{
        virtual void to_control( const fw_node_group_message& )               = 0;
        virtual void to_servo( s_ctl_id, reply, const master_dynmx_message& ) = 0;
        virtual void to_servo( s_ctl_id, reply, const master_lewan_message& ) = 0;
        virtual ~fw_reactor_visitor()                                         = default;
};

}  // namespace schpin
